Doomsday Engine - Feature #2341

headless server package for debian / ubuntu
2019-08-05 00:23 - tacgnol

Status: Closed Start date: 2019-08-04
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version:

Description
The current package have a lot of dependencies, and probably most of them are not used on a headless server.

here's what | have on a minimal install :

tacgnol@hobbiton:~$ sudo apt-get install doomsday-stable

Reading package lists... Done

Building dependency tree

Reading state information... Done

The following additional packages will be installed:

adwaita-icon-theme at-spi2-core dconf-gsettings-backend dconf-service fluidr8mono-gm-soundfont fontconfig fontconfig-config
fonts-dejavu-core

glib-networking glib-networking-common glib-networking-services gsettings-desktop-schemas gtk-update-icon-cache
hicolor-icon-theme humanity-icon-theme

libasound2 libasound2-data libasyncns0 libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatspi2.0-0 libcairo-gobject?2 libcairo2 libcolord2
libcroco3

libcups2 libdatrie1 libdconf1 libdouble-conversion1 libdrm-amdgpu1 libdrm-intel1 libdrm-nouveau?2 libdrm-radeon1 libegl-mesa0
libegl1 libepoxyO libevdev2

libflac8 libfluidsynth1 libfontconfig1 libgbm1 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-bin libgdk-pixbuf2.0-common libgl1 libgl1-mesa-dri
libglapi-mesa

libglvndO libglx-mesa0 libglx0 libgraphite2-3 libgtk-3-0 libgtk-3-bin libgtk-3-common libgudev-1.0-0 libharfbuzz0b libice6 libinput-bin
libinput10

libjack-jackd2-0 libjbig0 libjpeg-turbo8 libjpeg8 libjson-glib-1.0-0 libjson-glib-1.0-common liblcms2-2 libllvm8 libmad0 liomodplug1
libmtdev1 libogg0

libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpciaccess0 libpixman-1-0 libproxy1v5 libpulse0 libgt5core5a libgt5dbus5
libgt5gui5 libgt5network5

libgt5svg5 libgt5widgets5 libqt5x11extras5 librest-0.7-0 librsvg2-2 librsvg2-common libsamplerate0 libsdl2-2.0-0 libsdl2-mixer-2.0-0
libsensors4 libsm6

libsndfile1 libsndio6.1 libsoup-gnome2.4-1 libsoup2.4-1 libthai-data libthaiO libtiff5 libvorbisOa libvorbisenc?2 libvorbisfile3
libwacom-bin

libwacom-common libwacom?2 libwayland-client0 libwayland-cursor0 libwayland-egl1 libwayland-serverQ libx11-xcb1 libxcb-dri2-0
libxcb-dri3-0 libxcb-gIx0

libxcb-iccecm4 libxcb-imageO libxcb-keysyms1 libxcb-presentO libxcb-randr0 libxcb-render-utilO libxcb-render0 libxcb-shape0
libxcb-shmO libxcb-sync1

libxcb-util1 libxch-xfixes0 libxch-xinerama0 libxcb-xkb1 libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxi6 libxinerama1l
libxkbcommon-x11-0

libxkbcommonO libxrandr2 libxrender1 libxshmfence1 libxss1 libxtst6 libxxf86vm1 qt5-gtk-platformtheme gttranslations5-110n
ubuntu-mono x11-common

Suggested packages:

libasound2-plugins alsa-utils colord cups-common gvfs jackd2 liblcms2-utils pulseaudio gt5-image-formats-plugins gtwayland5
librsvg2-bin Im-sensors

sndiod

The following NEW packages will be installed:

adwaita-icon-theme at-spi2-core dconf-gsettings-backend dconf-service doomsday-stable fluidr3mono-gm-soundfont fontconfig
fontconfig-config

fonts-dejavu-core glib-networking glib-networking-common glib-networking-services gsettings-desktop-schemas
gtk-update-icon-cache hicolor-icon-theme

humanity-icon-theme libasound?2 libasound2-data libasyncnsOQ libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatspi2.0-0
libcairo-gobject2 libcairo2

libcolord2 libcroco3 libcups?2 libdatrie1 libdconf1 libdouble-conversion1 libdrm-amdgpui libdrm-intel1 libdrm-nouveau?2
libdrm-radeon1 libegl-mesa0 libegl1

libepoxy0 libevdev2 libflac8 libfluidsynth1 libfontconfig1 libgbm1 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-bin libgdk-pixbuf2.0-common
libgl1 libgl1-mesa-dri
libglapi-mesa libglvndO libglx-mesa0 libglx0 libgraphite2-3 libgtk-3-0 libgtk-3-bin libgtk-3-common libgudev-1.0-0 libharfbuzz0b libice6
libinput-bin

libinput10 libjack-jackd2-0 libjbig0 libjpeg-turbo8 libjpeg8 libjson-glib-1.0-0 libjson-glib-1.0-common liblcms2-2 libllvm8 libmad0
libmodplug1 libmtdev1

liboggO libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpciaccess0 libpixman-1-0 libproxy1v5 libpulse0 libgt5core5a
libgt5dbus5 libqt5guis

libgtSnetwork5 libgt5svg5 libgtbwidgetsS libqt5x11extras5 librest-0.7-0 librsvg2-2 librsvg2-common libsamplerate0 libsdl2-2.0-0
libsdl2-mixer-2.0-0

libsensors4 libsmé libsndfile1 libsndio6.1 libsoup-gnome2.4-1 libsoup2.4-1 libthai-data libthai0 libtiff5 libvorbisOa libvorbisenc2
libvorbisfile3

libwacom-bin libwacom-common libwacom2 libwayland-clientO libwayland-cursorQ libwayland-egl1 libwayland-server0 libx11-xcb1
libxcb-dri2-0 libxcb-dri3-0

libxcb-gIx0 libxcb-icccm4 libxcb-imageO libxcb-keysyms1 libxcb-presentO libxcb-randr0 libxcb-render-utilO libxcb-render0
libxcb-shapeO libxcb-shm0

libxcb-sync1 libxcb-util1 libxcb-xfixes0 libxcb-xinerama0 libxcb-xkb1 libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxi6
libxinerama1

libxkbcommon-x11-0 libxkbcommonO libxrandr2 libxrender1 libxshmfence1 libxss1 libxtst6 libxxf86vm1 gt5-gtk-platformtheme
gttranslations5-110n ubuntu-mono

x11-common

0 upgraded, 148 newly installed, 0 to remove and 3 not upgraded.

Need to get 104 MB of archives.

After this operation, 447 MB of additional disk space will be used.

History

#1 - 2019-08-11 09:10 - skyjake
- Category set to Enhancement

- Assignee set to skyjake

| agree, such a package would be convenient.

It should be doable to modify the autobuilder to submit a headless server package to my PPA in addition to the complete build. Would this be an
acceptable solution?

#2 - 2019-08-11 10:21 - tacgnol
That would be perfect :)

| know there is already a doomsday-server package in ubuntu repo, | think it's based on 1.15 version, but that is also installing all the X packages.

#3 - 2019-08-11 12:35 - skyjake
- Status changed from New to Resolved
- Target version set to Build system and tools

- % Done changed from 0 to 100

I've made the necessary changes to the autobuilder. In the future, new PPA builds will be accompanied by server-only packages. Once they're
available, let me know if you encounter any issues when using them.

#4 - 2019-08-17 06:21 - tacgnol

tacgnol@hobbiton:~$ sudo apt-get install doomsday-server
Reading package lists... Done

Building dependency tree

Reading state information... Done

The following additional packages will be installed:
libdouble-conversion1 libgt5core5a libgtSdbus5 libgtSnetwork5
gttranslations5-110n

Suggested packages:

libthaiO

The following NEW packages will be installed:

doomsday-server libdouble-conversion1 libgt5core5a libgt5dbus5
libgt5network5 gttranslations5-110n

0 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 8,962 kB of archives.

After this operation, 41.5 MB of additional disk space will be used.
https://launchpad.net/~sjke/+archive/ubuntu/doomsday

tacgnol@hobbiton:~$ doomsday-server --version
Doomsday Engine 2.2.0 [#3137] (Unstable 64-bit) Aug 5 2019 04:10:06

wow this is way better!

Thanks!

#5 - 2019-10-14 10:36 - skyjake

- Status changed from Resolved to Closed

#6 - 2019-11-29 23:17 - skyjake

- Target version deleted (Build system and tools)
